import React from 'react';
import classNames from 'classnames';
import "./index.less";
var Toolbar = function Toolbar(props) {
  var className = props.className,
    style = props.style,
    tabs = props.tabs,
    topLeft = props.topLeft,
    topRight = props.topRight,
    bottomLeft = props.bottomLeft,
    bottomRight = props.bottomRight;
  var toolbarClassName = classNames('pisell-grid-pro-toolbar', className);
  return /*#__PURE__*/React.createElement("div", {
    className: toolbarClassName,
    style: style
  }, tabs && /*#__PURE__*/React.createElement("div", {
    className: "pisell-grid-pro-toolbar-row"
  }, tabs), (topLeft || topRight) && /*#__PURE__*/React.createElement("div", {
    className: "pisell-grid-pro-toolbar-row toolbar-row"
  }, /*#__PURE__*/React.createElement("div", {
    className: "toolbar-row-left"
  }, topLeft), /*#__PURE__*/React.createElement("div", {
    className: "toolbar-row-right"
  }, topRight)), (bottomLeft || bottomRight) && /*#__PURE__*/React.createElement("div", {
    className: "pisell-grid-pro-toolbar-row toolbar-row"
  }, /*#__PURE__*/React.createElement("div", {
    className: "toolbar-row-left"
  }, bottomLeft), /*#__PURE__*/React.createElement("div", {
    className: "toolbar-row-right"
  }, bottomRight)));
};
export default Toolbar;